2019-12-07 11:56 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001206FSSCPOpenGLpublic2008-12-27 18:09
Reportersfried 
Assigned ToEchelon9 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001206: Menu flickers when loading missions in Tech Room
DescriptionEntering the Tech Room and clicking on the Mission Simulator will cause the screen to glitch and flicker during and after loading the mission list. Exiting using ESC and/or the menus does not remedy the issue.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007432

sfried (reporter)

Last edited: 2007-01-09 18:48

Also related: Popup menu screen for quitting causes similar problem. Second guessing where "Yes" is (Pressing 'Y') allows one to exit.

If it's an OpenGL problem, then it probably affects all layered menus.

~0007433

taylor (administrator)

It is just an OpenGL problem, and it happens anytime that a popup appears on screen. There are various fixes for this, but they have never been 100%. The code was originally written with a software renderer in mind, but dealing with single/double/triple buffered screens just isn't a clean a simple task with how it's supposed to function. I'll probably end up just rewriting the entire bit of functionality rather than bothering to fix it.

~0008156

sfried (reporter)

Have there been any updates on the issue? It makes the Mission Simulator nearly unplayable and just trying to exit the game make the pop-up window prompt "Cancel" itself back into the hangar, which is fustrating.

~0008157

taylor (administrator)

The flickering problem is known, but should only happen while the popup is visible. If it continues after the popup, then you are the only one with that problem. Try running in a window and see if that makes a difference. Also, try disabling triple buffering in your video card settings, if it's enabled.

~0009459

taylor (administrator)

Not going to work on this.

~0010476

sfried (reporter)

The problem has been resolved in the later builds (namely 3.6.10), so I guess it's fixed.
+Notes

-Issue History
Date Modified Username Field Change
2007-01-09 11:23 sfried New Issue
2007-01-09 14:05 taylor Status new => assigned
2007-01-09 14:05 taylor Assigned To => taylor
2007-01-09 17:18 taylor Severity major => minor
2007-01-09 17:18 taylor Category user interface => OpenGL
2007-01-09 18:45 sfried Note Added: 0007432
2007-01-09 18:47 sfried Note Edited: 0007432
2007-01-09 18:48 sfried Note Edited: 0007432
2007-01-09 20:25 taylor Note Added: 0007433
2007-06-01 04:03 sfried Note Added: 0008156
2007-06-01 15:08 taylor Note Added: 0008157
2008-07-17 12:27 taylor Note Added: 0009459
2008-07-17 12:27 taylor Assigned To taylor =>
2008-07-17 12:27 taylor Status assigned => new
2008-12-27 13:59 sfried Note Added: 0010476
2008-12-27 18:09 Echelon9 Status new => resolved
2008-12-27 18:09 Echelon9 Fixed in Version => 3.6.10
2008-12-27 18:09 Echelon9 Resolution open => fixed
2008-12-27 18:09 Echelon9 Assigned To => Echelon9
+Issue History